=== modified file 'loggerhead/apps/config.py'
--- loggerhead/apps/config.py	2008-06-18 12:27:04 +0000
+++ loggerhead/apps/config.py	2008-06-23 01:03:34 +0000
@@ -68,13 +68,13 @@
             self._add_view(view_name, ConfigObj(), folder)
         self._auto_list = auto_list
 
-    def _get_branch_url(self, view, view_config):
+    def _get_branch_url(self, view, view_config, folder):
         url = view_config.get('url', None)
         if url is not None:
             return url
         url = self._config.get('url_prefix', None)
         if url is not None:
-            return posixpath.join(url, self._folder) + '/'
+            return posixpath.join(url, folder) + '/'
         return None
 
     def _get_description(self, view, view_config):
@@ -93,7 +93,7 @@
                 friendly_name = view_name
         view.friendly_name = friendly_name
         view.name = view_name
-        branch_url = self._get_branch_url(view, view_config)
+        branch_url = self._get_branch_url(view, view_config, view_name)
         if branch_url is not None:
             view.branch_url = branch_url
         view.description = self._get_description(view, view_config)

=== modified file 'serve-branches.py' (properties changed: -x to +x)
--- serve-branches.py	2008-06-18 07:35:18 +0000
+++ serve-branches.py	2008-06-22 23:53:25 +0000
@@ -1,3 +1,4 @@
+#!/usr/bin/env python
 from loggerhead.apps.filesystem import BranchesFromFileSystemRoot
 from paste import httpserver
 from paste.httpexceptions import make_middleware

=== modified file 'start-loggerhead.py'
--- start-loggerhead.py	2008-06-20 02:24:58 +0000
+++ start-loggerhead.py	2008-06-23 01:40:28 +0000
@@ -2,9 +2,10 @@
 
 import logging
 import logging.handlers
+from optparse import OptionParser
 import os
 import sys
-from optparse import OptionParser
+import urlparse
 
 from configobj import ConfigObj
 
@@ -121,11 +122,11 @@
     app = make_filter(app, None)
 
     if webpath:
-        if not webpath.endswith('/'):
-            webpath += '/'
-        def app(environ, start_response, app=app):
-            environ['SCRIPT_NAME'] = webpath
-            return app(environ, start_response)
+        scheme, netloc, path, blah, blah, blah = urlparse.urlparse(webpath)
+        def app(environ, start_response, orig=app):
+            environ['SCRIPT_NAME'] = path
+            environ['HTTP_HOST'] = netloc
+            return orig(environ, start_response)
 
     try:
         httpserver.serve(

